Post upgrading to Red Hat Satellite 6.10+, publishing of Content Views and Composite Content Views fails with a 'Error: PulpRpmClient::ApiError' error

Solution Verified - Updated -

Issue

After upgrading Red Hat Satellite to the version 6.10, at certain times, publishing of Content Views and Composite Content Views fails with the following error.

Error:
PulpRpmClient::ApiError
Error message: the server returns an error HTTP status code: 404 Response headers: {"Date"=>"Wed, 10 Mar 2022 14:52:03 GMT", "Server"=>"gunicorn", "Content-Type"=>"application/json", "Vary"=>"Accept,Cookie", "Allow"=>"GET, PUT, PATCH, DELETE, HEAD, OPTIONS", "X-Frame-Options"=>"SAMEORIGIN", "Content-Length"=>"62", "Correlation-ID"=>"c628620e-a648-4200-9180-cd47427cec50", "Access-Control-Expose-Headers"=>"Correlation-ID", "Via"=>"1.1 satellite.example.com", "Connection"=>"close"} Response body: {"detail":"Not found."}

Environment

  • Red Hat Satellite 6.10+

Subscriber exclusive content

A Red Hat subscription provides unlimited access to our knowledgebase, tools, and much more.

Current Customers and Partners

Log in for full access

Log In

New to Red Hat?

Learn more about Red Hat subscriptions

Using a Red Hat product through a public cloud?

How to access this content